## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseIndex

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, Index, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  SybaseASAIndex

All Known Implementing Classes:
  SybaseASABaseIndexImpl, SybaseASACatalogBaseIndex, SybaseASACatalogIndex, SybaseASAIndexImpl

    public interface SybaseASABaseIndex

extends Index

A representation of the model object 'Sybase ASA Base Index'.

The following features are supported:

- `Db Space`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseIndex()`

Method Summary
`SybaseASABaseDBSpace` `getDbSpace()` Returns the value of the 'Db Space' reference.
`void` `setDbSpace(SybaseASABaseDBSpace value)` Sets the value of the '`Db Space`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Index
`getFillFactor, getForeignKey, getIncludedMembers, getMembers, getSchema, getTable, isClustered, isSystemGenerated, isUnique, setClustered, setFillFactor, setSchema, setSystemGenerated, setTable, setUnique`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDbSpace

    SybaseASABaseDBSpace getDbSpace()

  Returns the value of the 'Db Space' reference.

  If the meaning of the 'Db Space' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Db Space' reference.
  See Also:
    `setDbSpace(SybaseASABaseDBSpace)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseIndex_DbSpace()`

### setDbSpace

    void setDbSpace(SybaseASABaseDBSpace value)

  Sets the value of the '`Db Space`' reference.

  Parameters:
    `value` - the new value of the 'Db Space' reference.
  See Also:
    `getDbSpace()`